uuid: 2aaf0b31-2628-4b44-9ce3-73b3d4d7c7c4
langcode: en
status: true
dependencies:
  config:
    - field.storage.node.field_alt_title
    - field.storage.node.field_member_of
    - field.storage.node.field_description
    - field.storage.node.field_dewey_classification
    - field.storage.node.field_edition
    - field.storage.node.field_edtf_date_created
    - field.storage.node.field_extent
    - field.storage.node.field_full_title
    - field.storage.node.field_isbn
    - field.storage.node.field_lcc_classification
    - field.storage.node.field_linked_agent
    - field.storage.node.field_oclc_number
    - field.storage.node.field_physical_form
    - field.storage.node.field_resource_type
    - field.storage.node.field_rights
    - field.storage.node.field_tags
    - field.storage.node.field_abstract
    - field.storage.node.field_subject_general
    - field.storage.node.field_geographic_subject
    - field.storage.node.field_subjects_name
    - field.storage.node.field_temporal_subject
    - field.storage.node.field_subject
    - search_api.server.default_solr_server
    - core.entity_view_mode.node.search_index
  module:
    - search_api_solr
    - node
    - user
    - taxonomy
    - search_api
    - controlled_access_terms
third_party_settings:
  search_api_solr:
    finalize: false
    commit_before_finalize: false
    commit_after_finalize: false
    debug_finalize: false
    highlighter:
      maxAnalyzedChars: 51200
      fragmenter: regex
      usePhraseHighlighter: true
      highlightMultiTerm: true
      preserveMulti: false
      regex:
        slop: 0.5
        pattern: blank
        maxAnalyzedChars: 10000
      highlight:
        mergeContiguous: false
        requireFieldMatch: false
        snippets: 3
        fragsize: 0
    mlt:
      mintf: 1
      mindf: 1
      maxdf: 0
      maxdfpct: 0
      minwl: 0
      maxwl: 0
      maxqt: 100
      maxntp: 2000
      boost: false
      interestingTerms: none
    term_modifiers:
      slop: 3
      fuzzy: 1
      fuzzy_analyzer: true
    advanced:
      index_prefix: islandarchives
      collection: ''
      timezone: ''
    multilingual:
      limit_to_content_language: false
      include_language_independent: true
      use_language_undefined_as_fallback_language: false
      specific_languages:
        en: '0'
      use_universal_collation: false
_core:
  default_config_hash: 3HSYR81fyYsY--a93ZG1VSN3PEHVN_o78qIhDfsxzs4
id: default_solr_index
name: d10-islandarchives
description: 'Default content index created by the Solr Search Defaults module'
read_only: false
field_settings:
  abstract_description_fulltext:
    label: Description
    property_path: aggregated_field
    type: text
    configuration:
      type: union
      fields:
        - 'entity:node/field_abstract'
        - 'entity:node/field_description'
  author:
    label: 'Author name'
    datasource_id: 'entity:node'
    property_path: 'uid:entity:name'
    type: string
    dependencies:
      module:
        - node
        - user
  changed:
    label: Changed
    datasource_id: 'entity:node'
    property_path: changed
    type: date
    dependencies:
      module:
        - node
  created:
    label: 'Authored on'
    datasource_id: 'entity:node'
    property_path: created
    type: date
    dependencies:
      module:
        - node
  edtf_year:
    label: 'EDTF Creation Date Year'
    property_path: edtf_year
    type: integer
  field_alt_title:
    label: 'Alternative Title'
    datasource_id: 'entity:node'
    property_path: field_alt_title
    type: string
    dependencies:
      config:
        - field.storage.node.field_alt_title
  field_descendant_of:
    label: 'Descendant of'
    datasource_id: 'entity:node'
    property_path: field_member_of
    type: integer
    dependencies:
      config:
        - field.storage.node.field_member_of
  field_description:
    label: Description
    datasource_id: 'entity:node'
    property_path: field_description
    type: text
    dependencies:
      config:
        - field.storage.node.field_description
  field_dewey_classification:
    label: 'Dewey Classification'
    datasource_id: 'entity:node'
    property_path: field_dewey_classification
    type: string
    dependencies:
      config:
        - field.storage.node.field_dewey_classification
  field_edited_text:
    label: 'Reverse reference: <em class="placeholder">Media</em> using <em class="placeholder">Media of</em> » Edited Text'
    datasource_id: 'entity:node'
    property_path: 'search_api_reverse_entity_references_media__field_media_of:field_edited_text'
    type: text
  field_edition:
    label: Edition
    datasource_id: 'entity:node'
    property_path: field_edition
    type: string
    dependencies:
      config:
        - field.storage.node.field_edition
  field_edtf_date_created:
    label: 'Date Created'
    datasource_id: 'entity:node'
    property_path: field_edtf_date_created
    type: string
    dependencies:
      config:
        - field.storage.node.field_edtf_date_created
  field_extent:
    label: Extent
    datasource_id: 'entity:node'
    property_path: field_extent
    type: string
    dependencies:
      config:
        - field.storage.node.field_extent
  field_full_title:
    label: 'Full Title'
    datasource_id: 'entity:node'
    property_path: field_full_title
    type: text
    dependencies:
      config:
        - field.storage.node.field_full_title
  field_isbn:
    label: ISBN
    datasource_id: 'entity:node'
    property_path: field_isbn
    type: string
    dependencies:
      config:
        - field.storage.node.field_isbn
  field_lcc_classification:
    label: 'Library of Congress Classification'
    datasource_id: 'entity:node'
    property_path: field_lcc_classification
    type: string
    dependencies:
      config:
        - field.storage.node.field_lcc_classification
  field_linked_agent_name:
    label: 'Linked Agent'
    datasource_id: 'entity:node'
    property_path: 'field_linked_agent:entity:name'
    type: string
    dependencies:
      config:
        - field.storage.node.field_linked_agent
      module:
        - taxonomy
  field_member_of:
    label: 'Member of'
    datasource_id: 'entity:node'
    property_path: field_member_of
    type: integer
    dependencies:
      config:
        - field.storage.node.field_member_of
  field_oclc_number:
    label: 'OCLC Number'
    datasource_id: 'entity:node'
    property_path: field_oclc_number
    type: string
    dependencies:
      config:
        - field.storage.node.field_oclc_number
  field_physical_form:
    label: 'Physical Form'
    datasource_id: 'entity:node'
    property_path: 'field_physical_form:entity:name'
    type: string
    dependencies:
      config:
        - field.storage.node.field_physical_form
      module:
        - taxonomy
  field_resource_type:
    label: 'Resource Type'
    datasource_id: 'entity:node'
    property_path: field_resource_type
    type: integer
    dependencies:
      config:
        - field.storage.node.field_resource_type
  field_rights:
    label: Rights
    datasource_id: 'entity:node'
    property_path: field_rights
    type: text
    dependencies:
      config:
        - field.storage.node.field_rights
  field_tags:
    label: Tags
    datasource_id: 'entity:node'
    property_path: field_tags
    type: integer
    dependencies:
      config:
        - field.storage.node.field_tags
  linked_agent_name_fulltext:
    label: Names
    datasource_id: 'entity:node'
    property_path: 'field_linked_agent:entity:name'
    type: text
    dependencies:
      config:
        - field.storage.node.field_linked_agent
      module:
        - taxonomy
  linked_agent_vid:
    label: 'Linked Agent Vocab'
    datasource_id: 'entity:node'
    property_path: 'field_linked_agent:entity:vid'
    type: string
    dependencies:
      config:
        - field.storage.node.field_linked_agent
      module:
        - taxonomy
  member_of_title:
    label: 'Member of » Content » Title'
    datasource_id: 'entity:node'
    property_path: 'field_member_of:entity:title'
    type: string
    dependencies:
      config:
        - field.storage.node.field_member_of
      module:
        - node
  nid:
    label: ID
    datasource_id: 'entity:node'
    property_path: nid
    type: integer
    dependencies:
      module:
        - node
  node_grants:
    label: 'Node access information'
    property_path: search_api_node_grants
    type: string
    indexed_locked: true
    type_locked: true
    hidden: true
  processed:
    label: Abstract
    datasource_id: 'entity:node'
    property_path: 'field_abstract:processed'
    type: string
    dependencies:
      config:
        - field.storage.node.field_abstract
  rendered_item:
    label: 'Rendered item'
    property_path: rendered_item
    type: text
    configuration:
      roles:
        - anonymous
      view_mode:
        'entity:node':
          article: search_index
          islandora_object: search_index
          page: search_index
  status:
    label: 'Publishing status'
    datasource_id: 'entity:node'
    property_path: status
    type: boolean
    indexed_locked: true
    type_locked: true
    dependencies:
      module:
        - node
  sticky:
    label: 'Sticky at top of lists'
    datasource_id: 'entity:node'
    property_path: sticky
    type: boolean
    dependencies:
      module:
        - node
  subject_aggregated_fulltext:
    label: Subjects
    property_path: aggregated_field
    type: text
    configuration:
      type: union
      fields:
        - 'entity:node/field_geographic_subject'
        - 'entity:node/field_subject'
        - 'entity:node/field_subject_general'
        - 'entity:node/field_subjects_name'
        - 'entity:node/field_temporal_subject'
  subject_general_name:
    label: Subject
    datasource_id: 'entity:node'
    property_path: 'field_subject_general:entity:name'
    type: string
    dependencies:
      config:
        - field.storage.node.field_subject_general
      module:
        - taxonomy
  subject_geographic_name:
    label: 'Subject (Geographic)'
    datasource_id: 'entity:node'
    property_path: 'field_geographic_subject:entity:name'
    type: string
    dependencies:
      config:
        - field.storage.node.field_geographic_subject
      module:
        - taxonomy
  subject_names_name:
    label: 'Subject (Names)'
    datasource_id: 'entity:node'
    property_path: 'field_subjects_name:entity:name'
    type: string
    dependencies:
      config:
        - field.storage.node.field_subjects_name
      module:
        - taxonomy
  subject_temporal_name:
    label: 'Subject (Temporal)'
    datasource_id: 'entity:node'
    property_path: 'field_temporal_subject:entity:name'
    type: string
    dependencies:
      config:
        - field.storage.node.field_temporal_subject
      module:
        - taxonomy
  subject_topical_name:
    label: 'Subject (Topical)'
    datasource_id: 'entity:node'
    property_path: 'field_subject:entity:name'
    type: string
    dependencies:
      config:
        - field.storage.node.field_subject
      module:
        - taxonomy
  title:
    label: Title
    datasource_id: 'entity:node'
    property_path: title
    type: text
    boost: 8.0
    dependencies:
      module:
        - node
  title_aggregated:
    label: 'Title (All)'
    property_path: aggregated_field
    type: string
    configuration:
      type: union
      fields:
        - 'entity:node/field_alt_title'
        - 'entity:node/field_full_title'
        - 'entity:node/title'
  title_aggregated_fulltext:
    label: Title
    property_path: aggregated_field
    type: text
    configuration:
      type: union
      fields:
        - 'entity:node/field_alt_title'
        - 'entity:node/field_full_title'
        - 'entity:node/title'
  type:
    label: 'Content type'
    datasource_id: 'entity:node'
    property_path: type
    type: string
    dependencies:
      module:
        - node
  uid:
    label: 'Author ID'
    datasource_id: 'entity:node'
    property_path: uid
    type: integer
    indexed_locked: true
    type_locked: true
    dependencies:
      module:
        - node
datasource_settings:
  'entity:node':
    bundles:
      default: true
      selected: {  }
    languages:
      default: true
      selected: {  }
processor_settings:
  add_url:
    weights:
      preprocess_index: -30
  aggregated_field:
    weights:
      add_properties: 20
  auto_aggregated_fulltext_field: {  }
  content_access:
    weights:
      preprocess_index: -6
      preprocess_query: -4
  custom_value: {  }
  edtf_year_only:
    fields:
      islandora_object|field_copyright_date: islandora_object|field_copyright_date
      islandora_object|field_edtf_date: islandora_object|field_edtf_date
      islandora_object|field_edtf_date_created: islandora_object|field_edtf_date_created
      islandora_object|field_edtf_date_issued: islandora_object|field_edtf_date_issued
    ignore_undated: 1
    ignore_open_start: 0
    open_start_year: '0'
    ignore_open_end: 0
    open_end_year: ''
  entity_status:
    weights:
      preprocess_index: -10
  entity_type: {  }
  hierarchy:
    weights:
      preprocess_index: -45
    fields:
      field_descendant_of: node-field_member_of
      field_resource_type: taxonomy_term-parent
  highlight:
    weights:
      postprocess_query: 0
    prefix: '<strong>'
    suffix: '</strong>'
    excerpt: true
    excerpt_always: true
    excerpt_length: 256
    exclude_fields:
      - abstract_description_fulltext
      - field_description
      - field_full_title
      - linked_agent_name_fulltext
      - rendered_item
      - subject_aggregated_fulltext
      - title
      - title_aggregated_fulltext
    highlight: always
    highlight_partial: true
  html_filter:
    weights:
      preprocess_index: -3
      preprocess_query: -6
    all_fields: false
    fields:
      - rendered_item
    title: true
    alt: true
    tags:
      b: 2
      h1: 5
      h2: 3
      h3: 2
      string: 2
  language_with_fallback: {  }
  rendered_item:
    weights:
      add_properties: 0
      pre_index_save: -10
  reverse_entity_references: {  }
  solr_date_range:
    weights:
      preprocess_index: 0
tracker_settings:
  default:
    indexing_order: fifo
options:
  cron_limit: 50
  index_directly: false
  track_changes_in_references: false
server: default_solr_server
